MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023186Community[OCCT] OCCT:Visualizationpublic2012-06-01 13:052012-11-16 13:16
Reporterihaddadene 
Assigned Tosan 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformMicrosoft WindowsOSWindows SevenOS Version7 pro SP1
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023186: Unable to display Graphic3d_ArrayOfPoints after migrating from OCCT 6.5.2
DescriptionAfter migrating our project from OCCT 6.5.2 to 6.5.3, it was impossible to display a Graphic3d_ArrayOfPoints in an "AIS_InteractiveObject" derived class.

I tried with Enabling/Disabling VBO.

It seems that the MIN/MAX are evaluated since the view fit correctly but to an "invisible" object.
Steps To Reproducevoid AIS_MyIODerivedObject::Compute(const Handle(PrsMgr_PresentationManager3d)& aPresentationManager,
const Handle(Prs3d_Presentation)& aPresentation,
const Standard_Integer aMode)
{
    // create an array
    Handle (Graphic3d_ArrayOfPoints) anArray = new Graphic3d_ArrayOfPoints (8);

    // add vertices to the array
    anArray->AddVertex (10.0, 10.0, 10.0);
    anArray->AddVertex (10.0, 10.0, 0.0);
    anArray->AddVertex (10.0, 0.0, 10.0);
    anArray->AddVertex (10.0, 0.0, 0.0);
    anArray->AddVertex ( 0.0, 10.0, 10.0);
    anArray->AddVertex ( 0.0, 10.0, 0.0);
    anArray->AddVertex ( 0.0, 0.0, 10.0);
    anArray->AddVertex ( 0.0, 0.0, 0.0);

    // add the array to the structure
    Handle (Graphic3d_Group) aGroup = Prs3d_Root::CurrentGroup (aPresentation);
    aGroup->BeginPrimitives ();
    aGroup->AddPrimitiveArray (anArray);
    aGroup->EndPrimitives ();
}

In DRAW:
vdrawparray a points 0 v 0 0 0 v 0 0 10 v 0 10 10 v 0 10 0
Additional information
and documentation updates
Mistake in OpenGl_PrimitiveArray class resulted from equal values of GL_NONE and GL_POINTS constants corrected.
TagsNo tags attached.
Test case numberchl 934 C0
Attached Files? file icon C0 (1,389 bytes) 2012-06-21 17:55

- Relationships

-  Notes
(0020737)
san (developer)
2012-06-19 21:48

Branch CR23186 ready for reviewing.
(0020738)
kgv (developer)
2012-06-19 22:00

Patch is OK, though I prefer declarations of constants related to class definition like this:

class OpenGl_PrimitiveArray : public OpenGl_Element
{
public:

  static const GLint DRAW_MODE_UNDEFINED = -1;

...
};
(0020742)
san (developer)
2012-06-20 11:44

Note for testers: branch CR23186 has been updated once more to reflect the reviewer's remark.
(0020748)
aan (tester)
2012-06-21 16:44

Dear BugMaster,
The workbenches
KAS:dev:aan-23186-occt (GIT branch CR23186)
KAS:dev:aan-23186-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Test case for this bug is chl 934 C0.
It is OK in this branch.
It is FAILED in current master (KAS:dev:products-20120615-opt).


See results in /QADisk/occttests/results/KAS/dev/aan-23186-products_20062012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120615-opt_15062012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master 1d03e66d
Timestamp: 2012-06-22 07:33:53
Author: san
Details ] Diff ]
0023186: Unable to display Graphic3d_ArrayOfPoints after migrating from OCCT 6.5.2

GL_NONE replaced with PARRAY_DRAW_MODE_NONE to disambiguate with GL_POINTS
DRAW_MODE_NONE constant moved into OpenGl_PrimitiveArray class to avoid potential name collisions
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-06-01 13:05 ihaddadene New Issue
2012-06-01 13:05 ihaddadene Assigned To => san
2012-06-19 21:38 san Status new => assigned
2012-06-19 21:41 san Target Version => 6.5.4
2012-06-19 21:41 san Steps to Reproduce Updated View Revisions
2012-06-19 21:41 san Additional Information Updated View Revisions
2012-06-19 21:48 san Note Added: 0020737
2012-06-19 21:48 san Assigned To san => kgv
2012-06-19 21:48 san Status assigned => resolved
2012-06-19 21:49 san Steps to Reproduce Updated View Revisions
2012-06-19 22:00 kgv Note Added: 0020738
2012-06-19 22:00 kgv Assigned To kgv => bugmaster
2012-06-19 22:00 kgv Status resolved => reviewed
2012-06-20 11:44 san Note Added: 0020742
2012-06-20 14:39 mkv Assigned To bugmaster => aan
2012-06-20 17:40 aan Test case number => chl 934 C0
2012-06-20 17:41 aan File Added: C0
2012-06-20 20:11 aan File Deleted: C0
2012-06-20 20:11 aan File Added: C0
2012-06-21 16:44 aan Note Added: 0020748
2012-06-21 16:46 aan Status reviewed => tested
2012-06-21 17:16 aan File Deleted: C0
2012-06-21 17:16 aan File Added: C0
2012-06-21 17:55 aan File Deleted: C0
2012-06-21 17:55 aan File Added: C0
2012-06-21 17:55 aan File Deleted: C0
2012-06-21 17:55 aan File Added: C0
2012-06-25 20:05 san Changeset attached => occt master 1d03e66d
2012-06-25 20:05 san Assigned To aan => san
2012-06-25 20:05 san Status tested => verified
2012-06-25 20:05 san Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:16 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker